### Method

# Gtk TextBuffercut_clipboard

#### Declaration [src]

    void
    gtk_text_buffer_cut_clipboard (
      GtkTextBuffer* buffer,
      GdkClipboard* clipboard,
      gboolean default_editable
    )

#### Description [src]

Copies the currently-selected text to a clipboard, then deletes said text if it’s editable.

#### Parameters

`clipboard`

  Type: `GdkClipboard`

  The `GdkClipboard` object to cut to.

  The data is owned by the caller of the method.

`default_editable`

  Type: `gboolean`

  Default editability of the buffer.